### Method

# Qmi Device get_expected_data_format

since: 1.14

#### Declaration [src]

    QmiDeviceExpectedDataFormat
    qmi_device_get_expected_data_format (
      QmiDevice* self
      GError** error
    )

#### Description [src]

Retrieves the data format currently expected by the kernel in the network interface.

If `QMI_DEVICE_EXPECTED_DATA_FORMAT_UNKNOWN` is returned, the user should assume that 802.3 is the expected format, as that is what the qmi_wwan driver expected by default before kernel 4.5.

<note><para> This method is only applicable when using the qmi_wwan kernel driver. </para></note>.

Available since: 1.14

#### Return value

Type: `QmiDeviceExpectedDataFormat`

A valid `QmiDeviceExpectedDataFormat`, or `QMI_DEVICE_EXPECTED_DATA_FORMAT_UNKNOWN` if `error` is set.